void main( void )
{
 int &nut;
 int &talker;
 &talker = 1;
}

void talk( void )
{
 freeze(1);
 freeze(&current_sprite);
 &nut = sp_dir(1, -1);
 if (&talker == 0)
 {
  say_stop("你好巨大的鸭子。", 1);
  wait(250);
  say_stop("`3你好啊，", &current_sprite);
  wait(250);
  say_stop("`3欢迎来到Kaka岛。", &current_sprite);
  wait(250);
  say_stop("谢了。", 1);
  wait(250);
  say_stop("`3你要跟我玩吗？", &current_sprite);
  wait(250);
  say_stop("现在不行，我...额...很忙。", 1);
  wait(250);
  say_stop("`3那好，以后再说吧。", 1);
  unfreeze(1);
  unfreeze(&current_sprite);
  &talker = 1;
  return;
 }
 if (&talker == 1)
 {
  say_stop("巨大的鸭子好。", 1);
  wait(250);
  say_stop("`3你好啊，", &current_sprite);
  wait(250);
  say_stop("`3欢迎来到Kaka岛。呱。", &current_sprite);
  wait(250);
  say_stop("谢了。", 1);
  wait(250);
  say_stop("`3你要跟我玩吗？呱。", &current_sprite);
  choice_start()
  "好啊好啊"
  "现在不行"
  choice_end()
  if (&result == 1)
  {
   &duckgame = 1;
   say_stop("好啊，我们一起去玩吧。", 1);
   wait(250);
   say_stop("`3好的，我知道该玩什么，跟我来。呱。", &current_sprite);
   wait(250);
   script_attach(1000);
   //fadeout & cutscene?
   fade_down();
   //change maps and stuff ...
   &player_map = 731;
   sp_x(1, 112);
   sp_y(1, 300);
   load_screen();
   draw_screen();
   draw_status();
   fade_up();
   kill_this_task();
  }
  if (&result == 2)
  {
   say_stop("不好意思，现在不想玩。", 1);
  }
 }
 unfreeze(1);
 unfreeze(&current_sprite);
}

void hit( void )
{
 freeze(&current_sprite);
 say_stop("`3这个一点都不好玩！！！", &current_sprite);
 unfreeze(&current_sprite);
}

void die ( void )
{
  int &hold = sp_editor_num(&current_sprite);
  if (&hold != 0)
  editor_type(&hold, 6); 

}


